var Phaser = Phaser || {};
var Ritual = Ritual || {};

Ritual.Prefab = function (game_state, position, properties) {
    "use strict";
    Phaser.Sprite.call(this, game_state.game, position.x, position.y, properties.texture);
	
    this.game_state = game_state;
    
    this.game_state.groups[properties.group].add(this);
};

Ritual.Prefab.prototype = Object.create(Phaser.Sprite.prototype);
Ritual.Prefab.prototype.constructor = Ritual.Prefab;